Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(419)

Unified Diff: test/perf.sh

Issue 11683002: Setting up benchmarks and perf utilities (Closed) Base URL: git@github.com:dart-lang/web-ui.git@master
Patch Set: john comments Created 7 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « pubspec.yaml ('k') | test/perf/compare.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: test/perf.sh
diff --git a/test/perf.sh b/test/perf.sh
new file mode 100755
index 0000000000000000000000000000000000000000..a268bd0331102987a591c945167fb6a13bd6803c
--- /dev/null
+++ b/test/perf.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Copyright (c) 2012, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# bail on error
+set -e
+TEST_DIR=$( cd $( dirname "${BASH_SOURCE[0]}" ) && pwd )
+PERF_DIR="$TEST_DIR/perf"
+WEB_UI_HOME=$(dirname $TEST_DIR)
+DART_FLAGS="--checked"
+TEST_PATTERN=$1
+
+if [[ ! -e $PERF_DIR/input/example ]]; then
+ ln -s $WEB_UI_HOME/example/ $PERF_DIR/input/example
+fi
+
+
+pushd $PERF_DIR
+dart $DART_FLAGS perf.dart $TEST_PATTERN
+popd
« no previous file with comments | « pubspec.yaml ('k') | test/perf/compare.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698